$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.55.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.55.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'E82A4C869D2560A2152B2A10562675429EC1BBB8483AC73E6E72E644603D5885'
  checksumType = 'sha256'
  checksum64 = 'E82A4C869D2560A2152B2A10562675429EC1BBB8483AC73E6E72E644603D5885'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.32.55-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
